メインコンテンツまでスキップ

List Private Endpoints (V2)

Lists the private endpoints in a project.

GET/v2/projects/{projectId}/privateEndpoints
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つAPIキーである必要があります。

値の例: Bearer {{TOKEN}}
projectIdstringpath必要

プロジェクトのID。

値の例: proj-xxxxxxxxxxxxxxxxxxx
currentPageintegerquery

返すページ番号。最初のページは1です。

値の例: 1
pageSizeintegerquery

1ページあたりに返すアイテム数。1〜100の範囲外の値は、デフォルト値の10が使用されます。

値の例: 10
bash
export TOKEN="YOUR_API_KEY"
export projectId="proj-xxxxxxxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/projects/${projectId}/privateEndpoints" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

成功した結果またはエラーメッセージを返します。

成功したレスポンス。

codeinteger必要

レスポンスコード。

値の例: 0
dataobject必要

プライベートエンドポイントのページングされたリスト。

endpointsarray

プライベートエンドポイント。

[]endpointsobject

プライベートエンドポイントとそのサービスステータス。

regionIdstring

クラウドリージョンID。

cloudIdstring

クラウドプロバイダーID。

endpointServicestring

エンドポイントサービス名。

endpointServiceStatusstring

エンドポイントサービスのステータス。

endpointIdstring

プライベートエンドポイントID。

endpointStatusstring

プライベートエンドポイントのステータス。

gcpProjectIdstring

該当する場合のGoogle CloudプロジェクトID。

currentPageinteger

現在のページ番号。

pageSizeinteger

1ページあたりのアイテム数。

countinteger

一致するエンドポイントの総数。

失敗したレスポンス。

codeinteger必要

レスポンスコード。

messagestring必要

エラーメッセージ。

Ctrl I